/* Copyright (C) 2019 Monomax Software Pty Ltd
 *
 * This file is part of Dnote.
 *
 * Dnote is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dnote is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Dnote.  If not, see <https://www.gnu.org/licenses/>.
 */

import React from 'react';
import classnames from 'classnames';

import { countries } from '../../../libs/countries';
import CaretIcon from '../../Icons/Caret';

import styles from './CountrySelect.module.scss';

function CountrySelect({ id, className, onChange, value }) {
  return (
    <div className={styles.wrapper}>
      <select
        id={id}
        className={classnames(className, styles.select)}
        value={value}
        onChange={onChange}
      >
        <option value="" />

        {countries.map(country => {
          return (
            <option key={country.code} value={country.code}>
              {country.name}
            </option>
          );
        })}
      </select>

      <CaretIcon width="12" height="12" className={styles.caret} />
    </div>
  );
}

export default CountrySelect;
